/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_DBDouble.java,v 1.2 2002/08/02 15:39:14 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_DOUBLE type.
 *
 */
public class DBR_DBDouble implements DBR {
  protected int      m_count= 0;
  protected double[] m_value= null;

  public DBR_DBDouble() {
    this(new double[1]);
  }
  
  public DBR_DBDouble(int count) {
    this(new double[count]);
  }

  public DBR_DBDouble(DBData val) {
    m_count= 1;
    m_value= new double[1];
    m_value[0]= val.doubleValue();
  }

  public DBR_DBDouble(double[] val) {
    m_count= val.length;
    m_value= val;
  }

  public int type() {
    return DBR.DOUBLE;
  }
  
  public int count() {
    return m_count;
  }

  public DBData dataAt(int at) {
    return new DBDouble(m_value[at]);
  }

  public double valueAt(int at) {
    return m_value[at];
  }

  public double[] value() {
    return m_value;
  }
}
