/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_DBInt.java,v 1.2 2002/08/02 15:39:14 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_LONG type.
 *
 * @author      Eric Boucher
 */
public class DBR_DBInt implements DBR {
  protected int   m_count= 0;
  protected int[] m_value= null;

  public DBR_DBInt() {
    this(new int[1]);
  }
  
  public DBR_DBInt(int count) {
    this(new int[count]);
  }

  public DBR_DBInt(DBData val) {
    m_count= 1;
    m_value= new int[1];
    m_value[0]= val.intValue();
  }

  public DBR_DBInt(int[] val) {
    m_count= val.length;
    m_value= val;
  }

  public int type() {
    return DBR.INT;
  }
  
  public int count() {
    return m_count;
  }

  public DBData dataAt(int at) {
    return new DBInt(m_value[at]);
  }

  public int valueAt(int at) {
    return m_value[at];
  }

  public int[] value() {
    return m_value;
  }
}
