/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_DBShort.java,v 1.2 2002/08/02 15:39:15 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_SHORT type.
 *
 */
public class DBR_DBShort implements DBR {
  protected int     m_count= 0;
  protected short[] m_value= null;

  public DBR_DBShort() {
    this(new short[1]);
  }
  
  public DBR_DBShort(int count) {
    this(new short[count]);
  }

  public DBR_DBShort(DBData val) {
    m_count= 1;
    m_value= new short[1];
    m_value[0]= val.shortValue();
  }

  public DBR_DBShort(short[] val) {
    m_count= val.length;
    m_value= val;
  }

  public int type() {
    return DBR.SHORT;
  }
  
  public int count() {
    return m_count;
  }

  public DBData dataAt(int at) {
    return new DBShort(m_value[at]);
  }

  public short valueAt(int at) {
    return m_value[at];
  }

  public short[] value() {
    return m_value;
  }
}
