/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_GR.java,v 1.2 2002/08/02 15:39:15 jba Exp
 */

package jca.dbr;
import java.lang.*;


/**
 * Interface for all DBR_GR_XXX objects.
 */
public interface DBR_GR extends DBR_STS {

  /**
   * Return the units string
   */
  public String units();
 
  /**
   * Return the upper display limit
   */
  public DBData upperDispLimit();

  /**
   * Return the lower display limit
   */
  public DBData lowerDispLimit();

  /**
   * Return the upper alarm limit
   */
  public DBData upperAlarmLimit();

  /**
   * Return the upper warning limit
   */
  public DBData upperWarningLimit();

  /**
   * Return the lower warning limit
   */
  public DBData lowerWarningLimit();

  /**
   * Return the lower alarm limit
   */
  public DBData lowerAlarmLimit();
}
