/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_GR_DBFloat.java,v 1.2 2002/08/02 15:39:15 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_GR_FLOAT type.
 *
 */
public class DBR_GR_DBFloat extends DBR_STS_DBFloat implements DBR_GR {
  protected short   m_precision;
  protected String  m_units;
  protected float   m_upper_disp_limit;
  protected float   m_lower_disp_limit;
  protected float   m_upper_alarm_limit;
  protected float   m_upper_warning_limit;
  protected float   m_lower_warning_limit;
  protected float   m_lower_alarm_limit;

  public DBR_GR_DBFloat() {
    super(1);
  }
  
  public DBR_GR_DBFloat(int count) {
    super(count);
  }

  public int type() {
    return DBR.GR_FLOAT;
  }

  public short precision() {
    return m_precision;
  }

  public String units() {
    return m_units;
  }

  public DBData upperDispLimit() {
    return new DBFloat(m_upper_disp_limit);
  }

  public DBData lowerDispLimit() {
    return new DBFloat(m_lower_disp_limit);
  }

  public DBData upperAlarmLimit() {
    return new DBFloat(m_upper_alarm_limit);
  }

  public DBData upperWarningLimit() {
    return new DBFloat(m_upper_warning_limit);
  }

  public DBData lowerWarningLimit() {
    return new DBFloat(m_lower_warning_limit);
  }

  public DBData lowerAlarmLimit() {
    return new DBFloat(m_lower_alarm_limit);
  }
  
  protected void setInfo(short status, short severity,
                         short precision,
                         String units,
                         float upper_disp_limit,
                         float lower_disp_limit,
                         float upper_alarm_limit,
                         float upper_warning_limit,
                         float lower_warning_limit,
                         float lower_alarm_limit) {
    super.setInfo(status,severity);
    m_precision= precision;
    m_units= units;
    m_upper_disp_limit   = upper_disp_limit;
    m_lower_disp_limit   = lower_disp_limit;
    m_upper_alarm_limit  = upper_alarm_limit;
    m_upper_warning_limit= upper_warning_limit;
    m_lower_warning_limit= lower_warning_limit;
    m_lower_alarm_limit  = lower_alarm_limit;
  };                      
}
