/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBString.java,v 1.2 2002/08/02 15:39:19 jba Exp
 */

package jca.dbr;
import java.lang.*;


public class DBString extends DBData {
  protected String m_value;
  
  public DBString(String val) {
    m_value= val;
  }
  
  public byte byteValue() {
    try {
      return Byte.valueOf(m_value).byteValue();
    } catch(NumberFormatException e) {
      return 0;
    }
  }
  
  public short shortValue() {
    try {
      return Short.valueOf(m_value).shortValue();
    } catch(NumberFormatException e) {
      return 0;
    }
  }
  
  public int intValue() {
    try {
      return Integer.valueOf(m_value).intValue();
    } catch(NumberFormatException e) {
      return 0;
    }
  }
  
  public long longValue() {
    try {
      return Long.valueOf(m_value).longValue();
    } catch(NumberFormatException e) {
      return 0;
    }
  }
  
  public float floatValue() {
    try {
      return Float.valueOf(m_value).floatValue();
    } catch(NumberFormatException e) {
      return 0;
    }
  }
  
  public double doubleValue() {
    try {
      return Double.valueOf(m_value).doubleValue();
    } catch(NumberFormatException e) {
      return 0;
    }
  }
  
  public String stringValue() {
    return m_value;
  }
}