/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * PutEvent.java,v 1.2 2002/08/02 15:39:20 jba Exp
 */

package jca.event;

import jca.*;
import jca.dbr.*;
import java.lang.*;

public class PutEvent implements CaEvent {
  protected jca.PV                m_pv;
  protected jca.dbr.DBR           m_dbr;
  protected Object                m_arg;
  protected int                   m_status;
  protected jca.event.PutListener m_listener;

  public PutEvent(jca.PV pv, jca.dbr.DBR dbr, Object arg, jca.event.PutListener l) {
    m_pv=pv;
    m_dbr= dbr;
    m_arg= arg;
    m_listener= l;
  }
  
  public jca.PV pv() {
    return m_pv;
  }

  public int type() {
    return m_dbr.type();
  }

  public int count() {
    return m_dbr.count();
  }
  
  public jca.dbr.DBR dbr() {
    return m_dbr;
  }
  
  public Object arg() {
    return m_arg;
  }

  public int status() {
    return m_status;
  }

  public void fire() {
    m_listener.putCompleted(this);
  }

  public void update(int status) {
    m_status= status;
  }
}
